### Method

# GLib HashTableIter steal

since: 2.16

#### Declaration [src]

    void
    g_hash_table_iter_steal (
      GHashTableIter* iter
    )

#### Description [src]

Removes the key/value pair currently pointed to by the iterator from its associated `GHashTable`, without calling the key and value destroy functions. Can only be called after `g_hash_table_iter_next()` returned `TRUE`, and cannot be called more than once for the same key/value pair.

Available since: 2.16